#include "Mesh.h"
#include "Parameters.h"

using namespace AMDiS;
int main(int argc, char** argv) {
  FUNCNAME("no function");
  //cannot use Parameters::addGlobalParameter(...) because of some string errors
//  ADD_PARAMETER(1,"dimension of world","1");
//  ADD_PARAMETER(1,"testMesh1->macro file name","macro/macro.stand.1d");
//  ADD_PARAMETER(1,"testMesh2->macro file name","macro/macro.stand.2d");
//  ADD_PARAMETER(1,"testMesh3->macro file name","macro/macro.stand.3d");

  Parameters::init(1,"init/ball.dat.2d");

  Global::init();

  Mesh mesh1("ballMesh",2);
  Mesh mesh2("testMesh1",2);
  Mesh mesh3("testMesh1",3);

  mesh1.initialize();
  mesh2.initialize();
  mesh3.initialize();
  return 0;
}

